# Class WindowContainerComponent

#### Implements

- OnInit

- Defined in packages/angular/window-system/src/lib/window-container/window-container.component.ts:61

#####
Index

### Constructors

constructor

### Properties

containerRef
context
footerContent
height
injector
width
windowContainerResizer
windowInstance
windowRef

### Accessors

id

### Methods

ngOnInit
onDragEnded

## Constructors

### constructor

- new WindowContainerComponent(): WindowContainerComponent

- #### Returns WindowContainerComponent

## Properties

### containerRef

containerRef: ElementRef<any>

- Defined in packages/angular/window-system/src/lib/window-container/window-container.component.ts:65

### `Readonly` context

context: WindowContext<any> = ...

- Defined in packages/angular/window-system/src/lib/window-container/window-container.component.ts:72

### footerContent

footerContent: ElementRef<any>

- Defined in packages/angular/window-system/src/lib/window-container/window-container.component.ts:63

### height

height: Signal<string>

- Defined in packages/angular/window-system/src/lib/window-container/window-container.component.ts:69

### `Private` `Readonly` injector

injector: Injector = ...

- Defined in packages/angular/window-system/src/lib/window-container/window-container.component.ts:71

### width

width: Signal<string>

- Defined in packages/angular/window-system/src/lib/window-container/window-container.component.ts:68

### windowContainerResizer

windowContainerResizer: WindowResizerComponent

- Defined in packages/angular/window-system/src/lib/window-container/window-container.component.ts:66

### `Readonly` windowInstance

windowInstance: LoadingIndicatorService = ...

- Defined in packages/angular/window-system/src/lib/window-container/window-container.component.ts:74

### `Readonly` windowRef

windowRef: WindowRef<any, any> = ...

- Defined in packages/angular/window-system/src/lib/window-container/window-container.component.ts:73

## Accessors

### id

- get id(): string

- #### Returns string

  - Defined in packages/angular/window-system/src/lib/window-container/window-container.component.ts:77

## Methods

### ngOnInit

- ngOnInit(): void

- #### Returns void

  Implementation of OnInit.ngOnInit

  - Defined in packages/angular/window-system/src/lib/window-container/window-container.component.ts:81

### onDragEnded

- onDragEnded($event): void

- #### Parameters

  - $event: CdkDragEnd<any>

  #### Returns void

  - Defined in packages/angular/window-system/src/lib/window-container/window-container.component.ts:101